Debian Bug report logs - #410962
[PowerPC] mplayer doesn't work on G3 macs because of altivec instructions

version graph

Package: mplayer; Maintainer for mplayer is Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for mplayer is src:mplayer.

Reported by: Wolfgang Aigner <wolfgang.aigner@gmx.de>

Date: Wed, 14 Feb 2007 22:03:01 UTC

Severity: important

Tags: confirmed

Merged with 448105, 481401, 506570, 616541, 641817

Found in versions mplayer/1.0~rc1-12, mplayer/1.0~rc2-4, mplayer/1.0~rc2-8+lenny1, mplayer/2:1.0~rc3++final.dfsg1-1, mplayer/2:1.0~rc4.dfsg1-2

Fixed in version 2:1.0~rc4.dfsg1+svn34540-1+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, A Mennucc1 <mennucc1@debian.org>:
Bug#410962; Package mplayer. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Aigner <wolfgang.aigner@gmx.de>:
New Bug report received and forwarded. Copy sent to A Mennucc1 <mennucc1@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wolfgang Aigner <wolfgang.aigner@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mplayer crashes on every play file
Date: Wed, 14 Feb 2007 22:41:19 +0100
Package: mplayer
Version: 1.0~rc1-12
Severity: important

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

when start any video in mplayer I get this message:

MPlayer interrupted by signal 4 in module: init_video_codec
- - MPlayer crashed by an 'Illegal Instruction'.
  It may be a bug in our new runtime CPU-detection code...
  Please read DOCS/HTML/en/bugreports.html.
- - MPlayer crashed by bad usage of CPU/FPU/RAM.
  Recompile MPlayer with --enable-debug and make a 'gdb' backtrace and
  disassembly. Details in DOCS/HTML/en/bugreports_what.html#bugreports_crash.
- - MPlayer crashed. This shouldn't happen.
  It can be a bug in the MPlayer code _or_ in your drivers _or_ in your
  gcc version. If you think it's MPlayer's fault, please read
  DOCS/HTML/en/bugreports.html and follow the instructions there. We can't and
  won't help unless you provide this information when reporting a possible bug.

all this videos can be played with xine. Possible it is an PPC bug, but I have
no idea to find this one.

Thanks for your work.

greetings

Wolfgang


- -- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: powerpc (ppc)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.20-rc1
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages mplayer depends on:
ii  debconf [debconf-2. 1.5.11               Debian configuration management sy
ii  libasound2          1.0.13-1             ALSA library
ii  libatk1.0-0         1.12.4-1             The ATK accessibility toolkit
ii  libaudiofile0       0.2.6-6              Open-source version of SGI's audio
ii  libc6               2.3.6.ds1-11         GNU C Library: Shared libraries
ii  libcaca0            0.99.beta11.debian-2 colour ASCII art library
ii  libcairo2           1.2.4-4              The Cairo 2D vector graphics libra
ii  libcdparanoia0      3.10+debian~pre0-4   audio extraction tool for sampling
ii  libconfhelper-perl  0.12.5               Library for editing configuration 
ii  libcucul0           0.99.beta11.debian-2 low-level Unicode character drawin
ii  libdirectfb-0.9-25  0.9.25.1-5           direct frame buffer graphics - sha
ii  libdvdread3         0.9.7-2              library for reading DVDs
ii  libesd0             0.2.36-3             Enlightened Sound Daemon - Shared 
ii  libfontconfig1      2.4.2-1              generic font configuration library
ii  libfreetype6        2.2.1-5              FreeType 2 font engine, shared lib
ii  libgl1-mesa-glx [li 6.5.1-0.5            A free implementation of the OpenG
ii  libglib2.0-0        2.12.6-2             The GLib library of C routines
ii  libgtk2.0-0         2.8.20-5             The GTK+ graphical user interface 
ii  libjpeg62           6b-13                The Independent JPEG Group's JPEG 
ii  liblircclient0      0.8.0-9              LIRC client library
ii  liblzo1             1.08-3               data compression library (old vers
ii  libmad0             0.15.1b-2.1          MPEG audio decoder library
ii  libncurses5         5.5-5                Shared libraries for terminal hand
ii  libogg0             1.1.3-2              Ogg Bitstream Library
ii  libpango1.0-0       1.14.8-5             Layout and rendering of internatio
ii  libpng12-0          1.2.15~beta5-1       PNG library - runtime
ii  libsdl1.2debian     1.2.11-7             Simple DirectMedia Layer
ii  libspeex1           1.1.12-3             The Speex Speech Codec
ii  libtheora0          0.0.0.alpha7.dfsg-2  The Theora Video Compression Codec
ii  libungif4g          4.1.4-4              shared library for GIF images
ii  libx11-6            2:1.0.3-5            X11 client-side library
ii  libxcursor1         1.1.7-4              X cursor management library
ii  libxext6            1:1.0.1-2            X11 miscellaneous extension librar
ii  libxfixes3          1:4.0.1-5            X11 miscellaneous 'fixes' extensio
ii  libxi6              1:1.0.1-4            X11 Input extension library
ii  libxinerama1        1:1.0.1-4.1          X11 Xinerama extension library
ii  libxrandr2          2:1.1.0.2-5          X11 RandR extension library
ii  libxrender1         1:0.9.1-3            X Rendering Extension client libra
ii  libxv1              1:1.0.2-1            X11 Video extension library
ii  libxvmc1            1:1.0.2-2            X11 Video extension library
ii  libxxf86dga1        2:1.0.1-2            X11 Direct Graphics Access extensi
ii  libxxf86vm1         1:1.0.1-2            X11 XFree86 video mode extension l
ii  mplayer-skin-blue [ 1.6-1                blue skin for mplayer
ii  zlib1g              1:1.2.3-13           compression library - runtime

mplayer recommends no packages.

- -- debconf information:
  mplayer/replace-existing-files-bail:
  mplayer/replace-existing-files: false
  mplayer/no-ttfont:
* mplayer/install_codecs:
  mplayer/voutput: autodetect
  mplayer/rtc: false
  mplayer/ttfont: Sans
* mplayer/cfgnote:
* mplayer/dvd_device: /dev/cdrom

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQEVAwUBRdOB/x/d62jpf6fsAQLLdAf6A8p36wDxBwrSxIuPPaHHX5GQVOWczTPk
YGffLzVIUc5uRzQ1z44qhO+gwv89t+MyqwreSEDSA1GtI+IfIKWPm0pZLwnCAxEC
NsQWYk/bkP4ewiU1511mCNRILK4kCX5mzQtekFDavFXn0L3XgVthoMM6XgFsP5iy
nfrVc5F2v7JiHAc5JkYsfvN8xX+qMR4gmn0DzWgr+VKf6DEexQ9w9CJxgRABeES+
8X+FV0sHj/OF2An/WoHPlwGptSobYhqYlcdRq6xLDQrcIjRvt8dYrj1v4o0++AKq
sD7G3WC8IMymwfukN+1KsbM7zwOcVgpZub1oo6jCeWy3V+EJj0vNoQ==
=oDlB
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, A Mennucc1 <mennucc1@debian.org>:
Bug#410962; Package mplayer. Full text and rfc822 format available.

Acknowledgement sent to Diego Biurrun <diego@biurrun.de>:
Extra info received and forwarded to list. Copy sent to A Mennucc1 <mennucc1@debian.org>. Full text and rfc822 format available.

Message #10 received at 410962@bugs.debian.org (full text, mbox):

From: Diego Biurrun <diego@biurrun.de>
To: Wolfgang Aigner <wolfgang.aigner@gmx.de>, 410962@bugs.debian.org
Subject: Re: Bug#410962: mplayer crashes on every play file
Date: Wed, 14 Feb 2007 23:30:26 +0100
On Wed, Feb 14, 2007 at 10:41:19PM +0100, Wolfgang Aigner wrote:
> 
> when start any video in mplayer I get this message:
> 
> MPlayer interrupted by signal 4 in module: init_video_codec
> - - MPlayer crashed by an 'Illegal Instruction'.
>   It may be a bug in our new runtime CPU-detection code...
>   Please read DOCS/HTML/en/bugreports.html.
> - - MPlayer crashed by bad usage of CPU/FPU/RAM.
>   Recompile MPlayer with --enable-debug and make a 'gdb' backtrace and
>   disassembly. Details in DOCS/HTML/en/bugreports_what.html#bugreports_crash.
> - - MPlayer crashed. This shouldn't happen.
>   It can be a bug in the MPlayer code _or_ in your drivers _or_ in your
>   gcc version. If you think it's MPlayer's fault, please read
>   DOCS/HTML/en/bugreports.html and follow the instructions there. We can't and
>   won't help unless you provide this information when reporting a possible bug.
> 
> all this videos can be played with xine. Possible it is an PPC bug, but I have
> no idea to find this one.

Unreproducible and the bug report is useless.  We need complete -v output
before having any chance to debug this problem.  Post it somewhere.

Diego




Information forwarded to debian-bugs-dist@lists.debian.org, A Mennucc1 <mennucc1@debian.org>:
Bug#410962; Package mplayer. Full text and rfc822 format available.

Acknowledgement sent to Reimar Döffinger <Reimar.Doeffinger@stud.uni-karlsruhe.de>:
Extra info received and forwarded to list. Copy sent to A Mennucc1 <mennucc1@debian.org>. Full text and rfc822 format available.

Message #15 received at 410962@bugs.debian.org (full text, mbox):

From: Reimar Döffinger <Reimar.Doeffinger@stud.uni-karlsruhe.de>
To: Wolfgang Aigner <wolfgang.aigner@gmx.de>, 410962@bugs.debian.org
Subject: Re: Bug#410962: mplayer crashes on every play file
Date: Thu, 15 Feb 2007 00:57:19 +0100
Hello,
On Wed, Feb 14, 2007 at 10:41:19PM +0100, Wolfgang Aigner wrote:
[...]
> MPlayer interrupted by signal 4 in module: init_video_codec
> - MPlayer crashed by an 'Illegal Instruction'.
>   It may be a bug in our new runtime CPU-detection code...
>   Please read DOCS/HTML/en/bugreports.html.
> - MPlayer crashed by bad usage of CPU/FPU/RAM.
>   Recompile MPlayer with --enable-debug and make a 'gdb' backtrace and
>   disassembly. Details in DOCS/HTML/en/bugreports_what.html#bugreports_crash.
> - MPlayer crashed. This shouldn't happen.
>   It can be a bug in the MPlayer code _or_ in your drivers _or_ in your
>   gcc version. If you think it's MPlayer's fault, please read
>   DOCS/HTML/en/bugreports.html and follow the instructions there. We can't and
>   won't help unless you provide this information when reporting a possible bug.
> 
> all this videos can be played with xine. Possible it is an PPC bug, but I have
> no idea to find this one.

Please be more specific that "PPC", PPC includes completely different
processor types.
My guess would be you do not have Altivec and the packages was compiled
with it. There is no proper runtime-detection for Altivec though. At
least there wasn't last time I tried.

Greetings,
Reimar Döffinger



Information forwarded to debian-bugs-dist@lists.debian.org, A Mennucc1 <mennucc1@debian.org>:
Bug#410962; Package mplayer. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Aigner <wolfgang.aigner@gmx.de>:
Extra info received and forwarded to list. Copy sent to A Mennucc1 <mennucc1@debian.org>. Full text and rfc822 format available.

Message #20 received at 410962@bugs.debian.org (full text, mbox):

From: Wolfgang Aigner <wolfgang.aigner@gmx.de>
To: Diego Biurrun <diego@biurrun.de>, Reimar.Doeffinger@stud.uni-karlsruhe.de
Cc: 410962@bugs.debian.org
Subject: Re: Bug#410962: mplayer crashes on every play file
Date: Sun, 18 Feb 2007 23:58:51 +0100
Thanks for your answers.

> Unreproducible and the bug report is useless.  We need complete -v output
> before having any chance to debug this problem.  Post it somewhere.
>
> Diego

Hello Diego,
sorry for uncomplete output, here is the -v output. If you need more 
information or I could do some tests, please send mail.

mplayer -v VTS_01_1.VOB
MPlayer 1.0rc1-4.1.2-DFSG-free (C) 2000-2006 MPlayer Team
AltiVec not found
CPU: PowerPC
get_path('codecs.conf') -> '/home/w/.mplayer/codecs.conf'
Reading /home/w/.mplayer/codecs.conf: Can't 
open '/home/w/.mplayer/codecs.conf': No such file or directory
Reading /etc/mplayer/codecs.conf: Can't open '/etc/mplayer/codecs.conf': No 
such file or directory
Using built-in default codecs.conf.
CommandLine: '-v' 'VTS_01_1.VOB'
init_freetype
Using Unoptimized OnScreenDisplay
Using nanosleep() timing
get_path('input.conf') -> '/home/w/.mplayer/input.conf'
Can't open input config file /home/w/.mplayer/input.conf: No such file or 
directory
Can't open input config file /etc/mplayer/input.conf: No such file or 
directory
Falling back on default (hardcoded) input config
Setting up LIRC support...
mplayer: could not connect to socket
mplayer: No such file or directory
Failed to open LIRC support. You will not be able to use your remote control.
get_path('VTS_01_1.VOB.conf') -> '/home/w/.mplayer/VTS_01_1.VOB.conf'

Playing VTS_01_1.VOB.
get_path('sub/') -> '/home/w/.mplayer/sub/'
[file] File size is 1073739776 bytes
STREAM: [file] VTS_01_1.VOB
STREAM: Description: File
STREAM: Author: Albeu
STREAM: Comment: based on the code from ??? (probably Arpi)
Checking for YUV4MPEG2
ASF_check: not ASF guid!
Checking for NuppelVideo
Checking for REAL
Checking for SMJPEG
Searching demuxer type for filename VTS_01_1.VOB ext: .VOB
Trying demuxer 2 based on filename extension
system stream synced at 0xD (13)!
==> Found video stream: 0
==> Found audio stream: 129
==> Found audio stream: 128
MPEG Stream reached EOF
ds_fill_buffer: EOF reached (stream: video)
MPEG-PS file format detected.
Searching for sequence header... OK!
VIDEO:  MPEG2  720x576  (aspect 2)  25.000 fps  7500.0 kbps (937.5 kbyte/s)
[V] filefmt:2  fourcc:0x10000002  size:720x576  fps:25.00  ftime:=0.0400
get_path('sub/') -> '/home/w/.mplayer/sub/'
open: No such file or directory
[MGA] Couldn't open: /dev/mga_vid
open: No such file or directory
[MGA] Couldn't open: /dev/mga_vid
[VO_TDFXFB] Can't open /dev/fb0: Permission denied.
[VO_3DFX] Unable to open /dev/3dfx.
X11 opening display: :0
vo: X11 color mask:  FFFFFF  (R:FF0000 G:FF00 B:FF)
vo: X11 running at 1024x768 with depth 24 and 32 bpp (":0" => local display)
[x11] Detected wm supports NetWM.
[x11] Detected wm supports FULLSCREEN state.
[x11] Detected wm supports ABOVE state.
[x11] Detected wm supports BELOW state.
[x11] Detected wm supports STAYS_ON_TOP state.
[x11] Current fstype setting honours FULLSCREEN STAYS_ON_TOP ABOVE BELOW X 
atoms
[xv common] Drawing colorkey manually.
[xv common] Using colorkey from Xv (0x00001e).
[xv common] Maximum source image dimensions: 2048x2048
==========================================================================
Opening video decoder: [mpegpes] MPEG 1/2 Video passthrough
VDec: vo config request - 720 x 576 (preferred colorspace: Mpeg PES)
Trying filter chain: vo
Could not find matching colorspace - retrying with -vf scale...
Opening video filter: [scale]
SwScale params: -1 x -1 (-1=no scaling)
Trying filter chain: scale vo
The selected video_out device is incompatible with this codec.
Try adding the scale filter, e.g. -vf spp,scale instead of -vf spp.
VDecoder init failed :(
Opening video decoder: [libmpeg2] MPEG 1/2 Video decoder libmpeg2-v0.4.0b


MPlayer interrupted by signal 4 in module: init_video_codec
- MPlayer crashed by an 'Illegal Instruction'.
  It may be a bug in our new runtime CPU-detection code...
  Please read DOCS/HTML/en/bugreports.html.
- MPlayer crashed by bad usage of CPU/FPU/RAM.
  Recompile MPlayer with --enable-debug and make a 'gdb' backtrace and
  disassembly. Details in DOCS/HTML/en/bugreports_what.html#bugreports_crash.
- MPlayer crashed. This shouldn't happen.
  It can be a bug in the MPlayer code _or_ in your drivers _or_ in your
  gcc version. If you think it's MPlayer's fault, please read
  DOCS/HTML/en/bugreports.html and follow the instructions there. We can't and
  won't help unless you provide this information when reporting a possible 
bug.
vo: uninit ...



> Please be more specific that "PPC", PPC includes completely different
> processor types.
> My guess would be you do not have Altivec and the packages was compiled
> with it. There is no proper runtime-detection for Altivec though. At
> least there wasn't last time I tried.
>
> Greetings,
> Reimar Döffinger


Hello Reimar,
indeed its a PPC G3 Ibook without altivec.

greetings and thanks for your help

Wolfgang



Information forwarded to debian-bugs-dist@lists.debian.org, A Mennucc1 <mennucc1@debian.org>:
Bug#410962; Package mplayer. Full text and rfc822 format available.

Acknowledgement sent to Diego Biurrun <diego@biurrun.de>:
Extra info received and forwarded to list. Copy sent to A Mennucc1 <mennucc1@debian.org>. Full text and rfc822 format available.

Message #25 received at 410962@bugs.debian.org (full text, mbox):

From: Diego Biurrun <diego@biurrun.de>
To: Wolfgang Aigner <wolfgang.aigner@gmx.de>, 410962@bugs.debian.org
Cc: Reimar.Doeffinger@stud.uni-karlsruhe.de
Subject: Re: Bug#410962: mplayer crashes on every play file
Date: Mon, 19 Feb 2007 02:35:33 +0100
On Sun, Feb 18, 2007 at 11:58:51PM +0100, Wolfgang Aigner wrote:
> Thanks for your answers.
> 
> > Unreproducible and the bug report is useless.  We need complete -v output
> > before having any chance to debug this problem.  Post it somewhere.
> 
> Hello Diego,
> sorry for uncomplete output, here is the -v output. If you need more 
> information or I could do some tests, please send mail.
> 
> mplayer -v VTS_01_1.VOB
> MPlayer 1.0rc1-4.1.2-DFSG-free (C) 2000-2006 MPlayer Team
> AltiVec not found
> 
> MPlayer interrupted by signal 4 in module: init_video_codec
> - MPlayer crashed by an 'Illegal Instruction'.
> 
> > Please be more specific that "PPC", PPC includes completely different
> > processor types.
> > My guess would be you do not have Altivec and the packages was compiled
> > with it. There is no proper runtime-detection for Altivec though. At
> > least there wasn't last time I tried.
> 
> Hello Reimar,
> indeed its a PPC G3 Ibook without altivec.

And indeed this is the cause for the crash.  Fixing this is going to be
tricky.  As a personal workaround, compile your own MPlayer without
AltiVec support.

Diego



Changed Bug title. Request was from A Mennucc <debdev@mennucci.sns.it> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 410962 448105. Request was from A Mennucc <debdev@mennucci.sns.it> to control@bugs.debian.org. (Sat, 27 Oct 2007 09:36:02 GMT) Full text and rfc822 format available.

Merged 410962 448105 481401. Request was from Diego Biurrun <diego@biurrun.de> to control@bugs.debian.org. (Fri, 04 Jul 2008 13:42:09 GMT) Full text and rfc822 format available.

Forcibly Merged 410962 448105 481401 506570. Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Sun, 08 Mar 2009 16:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, A Mennucc1 <mennucc1@debian.org>:
Bug#410962; Package mplayer. (Sun, 08 Mar 2009 17:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to A Mennucc1 <mennucc1@debian.org>. (Sun, 08 Mar 2009 17:12:07 GMT) Full text and rfc822 format available.

Message #38 received at 410962@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Diego Biurrun <diego@biurrun.de>
Cc: Wolfgang Aigner <wolfgang.aigner@gmx.de>, 410962@bugs.debian.org, Reimar.Doeffinger@stud.uni-karlsruhe.de
Subject: Re: Bug#410962: mplayer crashes on every play file
Date: Sun, 08 Mar 2009 18:11:24 +0100
Diego Biurrun <diego@biurrun.de> writes:

>> Hello Reimar,
>> indeed its a PPC G3 Ibook without altivec.
>
> And indeed this is the cause for the crash.  Fixing this is going to be
> tricky.  As a personal workaround, compile your own MPlayer without
> AltiVec support.

I envision two approached to fix this problem:

 a. compile mplayer twice on powerpc and install as
    /usr/bin/mplayer.altivec and /usr/bin/mplayer.non-altivec. Then a
    shell wrapper that detects altivec e.g. in /proc/cpuinfo or
    something is calling the real binary

 b. compile mplayer twice on powerpc and install as
    /usr/bin/mplayer.altivec and /usr/bin/mplayer.non-altivec. The
    mplayer package's postinst will then symlink /usr/bin/mplayer to the
    "right" binary.

Is one of the two an acceptable solution? If yes, which one is better?


-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Information forwarded to debian-bugs-dist@lists.debian.org, A Mennucc1 <mennucc1@debian.org>:
Bug#410962; Package mplayer. (Wed, 11 Mar 2009 00:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Diego Biurrun <diego@biurrun.de>:
Extra info received and forwarded to list. Copy sent to A Mennucc1 <mennucc1@debian.org>. (Wed, 11 Mar 2009 00:36:02 GMT) Full text and rfc822 format available.

Message #43 received at 410962@bugs.debian.org (full text, mbox):

From: Diego Biurrun <diego@biurrun.de>
To: Reinhard Tartler <siretart@tauware.de>, 410962@bugs.debian.org
Cc: Wolfgang Aigner <wolfgang.aigner@gmx.de>, Reimar.Doeffinger@stud.uni-karlsruhe.de
Subject: Re: Bug#410962: mplayer crashes on every play file
Date: Wed, 11 Mar 2009 01:33:01 +0100
On Sun, Mar 08, 2009 at 06:11:24PM +0100, Reinhard Tartler wrote:
> Diego Biurrun <diego@biurrun.de> writes:
> 
> >> Hello Reimar,
> >> indeed its a PPC G3 Ibook without altivec.
> >
> > And indeed this is the cause for the crash.  Fixing this is going to be
> > tricky.  As a personal workaround, compile your own MPlayer without
> > AltiVec support.
> 
> I envision two approached to fix this problem:
> 
>  a. compile mplayer twice on powerpc and install as
>     /usr/bin/mplayer.altivec and /usr/bin/mplayer.non-altivec. Then a
>     shell wrapper that detects altivec e.g. in /proc/cpuinfo or
>     something is calling the real binary
> 
>  b. compile mplayer twice on powerpc and install as
>     /usr/bin/mplayer.altivec and /usr/bin/mplayer.non-altivec. The
>     mplayer package's postinst will then symlink /usr/bin/mplayer to the
>     "right" binary.
> 
> Is one of the two an acceptable solution? If yes, which one is better?

Didn't you already have an alternative libavcodec version in place
somewhere?

Diego




Information forwarded to debian-bugs-dist@lists.debian.org, A Mennucc1 <mennucc1@debian.org>:
Bug#410962; Package mplayer. (Wed, 11 Mar 2009 08:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to A Mennucc1 <mennucc1@debian.org>. (Wed, 11 Mar 2009 08:12:02 GMT) Full text and rfc822 format available.

Message #48 received at 410962@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Diego Biurrun <diego@biurrun.de>
Cc: 410962@bugs.debian.org, Wolfgang Aigner <wolfgang.aigner@gmx.de>, Reimar.Doeffinger@stud.uni-karlsruhe.de
Subject: Re: Bug#410962: mplayer crashes on every play file
Date: Wed, 11 Mar 2009 09:10:08 +0100
Diego Biurrun <diego@biurrun.de> writes:

> Didn't you already have an alternative libavcodec version in place
> somewhere?

Yes, but is that of any help for G3 users? If mplayer itself is compiled
using -maltivec, then mplayer would crash even before it hits any code
of ffmpeg.

If mplayer itself does not use any altivec instructions and restricts
altivec usage to libavcodec, then I'd say the bug can be closed.

Diego, can you as build system maintainer of ffmpeg/mplayer clarify this
point here?

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Information forwarded to debian-bugs-dist@lists.debian.org, A Mennucc1 <mennucc1@debian.org>:
Bug#410962; Package mplayer. (Wed, 11 Mar 2009 12:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Diego Biurrun <diego@biurrun.de>:
Extra info received and forwarded to list. Copy sent to A Mennucc1 <mennucc1@debian.org>. (Wed, 11 Mar 2009 12:48:05 GMT) Full text and rfc822 format available.

Message #53 received at 410962@bugs.debian.org (full text, mbox):

From: Diego Biurrun <diego@biurrun.de>
To: Reinhard Tartler <siretart@tauware.de>, 410962@bugs.debian.org
Cc: Wolfgang Aigner <wolfgang.aigner@gmx.de>, Reimar.Doeffinger@stud.uni-karlsruhe.de
Subject: Re: Bug#410962: mplayer crashes on every play file
Date: Wed, 11 Mar 2009 13:43:25 +0100
On Wed, Mar 11, 2009 at 09:10:08AM +0100, Reinhard Tartler wrote:
> Diego Biurrun <diego@biurrun.de> writes:
> 
> > Didn't you already have an alternative libavcodec version in place
> > somewhere?
> 
> Yes, but is that of any help for G3 users? If mplayer itself is compiled
> using -maltivec, then mplayer would crash even before it hits any code
> of ffmpeg.
> 
> If mplayer itself does not use any altivec instructions and restricts
> altivec usage to libavcodec, then I'd say the bug can be closed.

I think AltiVec instructions can appear anywhere if you compile with
-maltivec, so I think the bug cannot be deferred to FFmpeg.

The alternatives you suggested are not very pretty, but I don't see a
good alternative.  I think the symlink approach is preferrable.

Unless of course you created two different packages, one with AltiVec
support and one without.

Diego




Added tag(s) confirmed; removed tag(s) moreinfo. Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Mon, 02 Aug 2010 14:24:07 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Mon, 02 Aug 2010 14:24:09 GMT) Full text and rfc822 format available.

Changed Bug title to '[PowerPC] mplayer doesn't work on G3 macs because of altivec instructions' from 'mplayer is compiled for altivec powerpc , crashes on non-altivec' Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Mon, 02 Aug 2010 14:24:10 GMT) Full text and rfc822 format available.

Merged 410962 448105 481401 506570 616541. Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Sat, 05 Mar 2011 18:36:07 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Fri, 16 Sep 2011 16:18:11 GMT) Full text and rfc822 format available.

Merged 410962 448105 481401 506570 616541 641817. Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Fri, 16 Sep 2011 16:18:13 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 21 Apr 2014 10:09:46 GMT) Full text and rfc822 format available.

Notification sent to Wolfgang Aigner <wolfgang.aigner@gmx.de>:
Bug acknowledged by developer. (Mon, 21 Apr 2014 10:09:46 GMT) Full text and rfc822 format available.

Message #70 received at 410962-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 396346-done@bugs.debian.org,396627-done@bugs.debian.org,398130-done@bugs.debian.org,399292-done@bugs.debian.org,403646-done@bugs.debian.org,406271-done@bugs.debian.org,410962-done@bugs.debian.org,412080-done@bugs.debian.org,418855-done@bugs.debian.org,420200-done@bugs.debian.org,448761-done@bugs.debian.org,451000-done@bugs.debian.org,453053-done@bugs.debian.org,458930-done@bugs.debian.org,489427-done@bugs.debian.org,490278-done@bugs.debian.org,498895-done@bugs.debian.org,505985-done@bugs.debian.org,506244-done@bugs.debian.org,507212-done@bugs.debian.org,509447-done@bugs.debian.org,510244-done@bugs.debian.org,510975-done@bugs.debian.org,515713-done@bugs.debian.org,516844-done@bugs.debian.org,518092-done@bugs.debian.org,520574-done@bugs.debian.org,521249-done@bugs.debian.org,523845-done@bugs.debian.org,524291-done@bugs.debian.org,526735-done@bugs.debian.org,537540-done@bugs.debian.org,550489-done@bugs.debian.org,550548-done@bugs.debian.org,550572-done@bugs.debian.org,557411-done@bugs.debian.org,557655-done@bugs.debian.org,557858-done@bugs.debian.org,559247-done@bugs.debian.org,561743-done@bugs.debian.org,561994-done@bugs.debian.org,574844-done@bugs.debian.org,576590-done@bugs.debian.org,576591-done@bugs.debian.org,576592-done@bugs.debian.org,584685-done@bugs.debian.org,585555-done@bugs.debian.org,590441-done@bugs.debian.org,594110-done@bugs.debian.org,597100-done@bugs.debian.org,597653-done@bugs.debian.org,604976-done@bugs.debian.org,607197-done@bugs.debian.org,608586-done@bugs.debian.org,611471-done@bugs.debian.org,611707-done@bugs.debian.org,611708-done@bugs.debian.org,611709-done@bugs.debian.org,612970-done@bugs.debian.org,613160-done@bugs.debian.org,616038-done@bugs.debian.org,616040-done@bugs.debian.org,617294-done@bugs.debian.org,618512-done@bugs.debian.org,625285-done@bugs.debian.org,629158-done@bugs.debian.org,636282-done@bugs.debian.org,636284-done@bugs.debian.org,636285-done@bugs.debian.org,636485-done@bugs.debian.org,641675-done@bugs.debian.org,647106-done@bugs.debian.org,647491-done@bugs.debian.org,649153-done@bugs.debian.org,652533-done@bugs.debian.org,657251-done@bugs.debian.org,658040-done@bugs.debian.org,660696-done@bugs.debian.org,662434-done@bugs.debian.org,668543-done@bugs.debian.org,668872-done@bugs.debian.org,672706-done@bugs.debian.org,672734-done@bugs.debian.org,673914-done@bugs.debian.org,680595-done@bugs.debian.org,681393-done@bugs.debian.org,682316-done@bugs.debian.org,683907-done@bugs.debian.org,686570-done@bugs.debian.org,687594-done@bugs.debian.org,687813-done@bugs.debian.org,690948-done@bugs.debian.org,692779-done@bugs.debian.org,692981-done@bugs.debian.org,699095-done@bugs.debian.org,699648-done@bugs.debian.org,703646-done@bugs.debian.org,708140-done@bugs.debian.org,708471-done@bugs.debian.org,711030-done@bugs.debian.org,711578-done@bugs.debian.org,719047-done@bugs.debian.org,723914-done@bugs.debian.org,726838-done@bugs.debian.org,727189-done@bugs.debian.org,728772-done@bugs.debian.org,735371-done@bugs.debian.org,735487-done@bugs.debian.org,738236-done@bugs.debian.org,738240-done@bugs.debian.org,738241-done@bugs.debian.org,738278-done@bugs.debian.org,740407-done@bugs.debian.org,740967-done@bugs.debian.org,741310-done@bugs.debian.org,
Cc: mplayer@packages.debian.org, mplayer@packages.qa.debian.org
Subject: Bug#732159: Removed package(s) from unstable
Date: Mon, 21 Apr 2014 10:08:47 +0000
Version: 2:1.0~rc4.dfsg1+svn34540-1+rm

Dear submitter,

as the package mplayer has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see https://bugs.debian.org/732159

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Ansgar Burchardt (the ftpmaster behind the curtain)



Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 21 Apr 2014 10:09:46 GMT) Full text and rfc822 format available.

Notification sent to Mario Frasca <mfrasca@zonnet.nl>:
Bug acknowledged by developer. (Mon, 21 Apr 2014 10:09:47 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 21 Apr 2014 10:09:47 GMT) Full text and rfc822 format available.

Notification sent to mancausoft <me@mancausoft.org>:
Bug acknowledged by developer. (Mon, 21 Apr 2014 10:09:47 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 21 Apr 2014 10:09:48 GMT) Full text and rfc822 format available.

Notification sent to Rogério Brito <rbrito@ime.usp.br>:
Bug acknowledged by developer. (Mon, 21 Apr 2014 10:09:48 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 21 Apr 2014 10:09:48 GMT) Full text and rfc822 format available.

Notification sent to Gunther Furtado <gunfurtado@gmail.com>:
Bug acknowledged by developer. (Mon, 21 Apr 2014 10:09:48 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 21 Apr 2014 10:09:49 GMT) Full text and rfc822 format available.

Notification sent to root <treaki@googlemail.com>:
Bug acknowledged by developer. (Mon, 21 Apr 2014 10:09:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:07:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.